<svg class="arc__svg" [attr.viewBox]="getViewBox()" width="100%" height="100%">
  <defs>
    <filter id="blur" filterUnits="objectBoundingBox" x="-10%" y="-10%" width="120%" height="120%">
      <feGaussianBlur result="blurOut" in="offOut" stdDeviation="20" />
      <feBlend in="SourceGraphic" in2="blurOut" mode="normal" />
    </filter>
  </defs>
  <g [attr.transform]="moveToCenter()">
    <path
      class="arc__back"
      *ngFor="let item of dataSourceBack; index as i"
      [attr.d]="getArcBack(item[0], i)"
      [attr.fill]="getColorBack(item[0])"
      [attr.opacity]="optionsBack.opacity"
    ></path>
    <path
      #unit
      class="arc__unit"
      filter="url(#blur)"
      *ngFor="let item of dataSource; index as i"
      [attr.d]="getArc(item, i)"
      [attr.fill]="getColorUnit(item)"
      [attr.opacity]="options.opacity"
      (mouseenter)="onHover($event, item, true)"
      (mouseleave)="onHover($event, item, false)"
    ></path>
  </g>
</svg>
<ng-content></ng-content>
